Skip to main content

Delete an OATH credential

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/oath-credentials/:extId

Since: 2.71.0

Required permission(s): AccessControl.CredentialDelete or SelfAdmin Role

Deletes the OATH credential with the specified external ID belonging to the given user.

Warning: Deleting an OATH credential may cause the user to lose access to the system if the credential is used as the primary authentication method.

In self-admin mode, a valid JWT token must be provided in the X-Token request header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the OATH credential.

    Example: oath-123

Responses

OATH credential deleted successfully

Loading...